Doesn't work with Firefox 28.0 even when I roll back to ReloadEvery 17 Rated 5 out of 5 stars

It was a good addon but doesn't work with FF 28.0 even when I reinstalled to version 17.

Edit (2 April 2014): I'm still not getting it to work with the updated version. It worked fine a few days ago and for the last 12 months but as of the update with FF 28 neither version 17 or the new update is working for me.

This review is for a previous version of the add-on (28.0.0). 

Sorry. Version 28.0.2. fixes the issue for non-English locale, but that's still waiting a review of the addon editors team